<template>
  <div class="modal">
    <b-modal
      id="createAPModal"
      :title="$t('createModalTitle')"
      :hide-footer="true"
    >
      <p v-html="$t('createModalBody')"></p>
      <div>
        <b-button
          class="createAPModalRightBtn"
          variant="primary"
          @click="redirectionAims"
          >{{ $t("proceed") }}</b-button
        >
        <b-button
          class="createAPModalLeftBtn"
          variant="secondary"
          @click="$bvModal.hide('createAPModal')"
          >{{ $t("cancel") }}</b-button
        >
      </div>
    </b-modal>
  </div>
</template>

<script lang="ts">
import { ProjectApi } from "@coscine/api-client";
import { GuidUtil } from "@coscine/app-util";
export default {
  methods: {
    async redirectionAims() {
      const projectId = GuidUtil.getProjectId();
      localStorage.setItem("coscine.authorization.bearer", window.coscine.authorization.bearer);
      await ProjectApi.projectCreateApplicationProfile(projectId);
      window.location.href =
        "https://coscine.rwth-aachen.de/coscine/apps/aimsfrontend/?token=" +
        window.coscine.authorization.bearer;
    },
  },
};
</script>
